/*
 * GameEnvironment application
 * BME MIT, IRF course
 * https://www.inf.mit.bme.hu/edu/bsc/irf
 */
package hu.mit.bme.ftsrg.gameEnvironment;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 * GameEnvironment server functions.
 * 
 * @author Istvan Szloboda
 */
public class GameEnvironment {

	/**
	 * GameEnvironment class of the game environment.
	 * 
	 * @param args
	 *            the command line arguments
	 */
	public static void main(String[] args) {

		// Parse parameters
		if (args.length != 1) {
			System.out.println("Too few parameters were supplied!\n");
			System.out.println("Usage: java -jar GameEnvironment.jar <port>");
			return;
		}

		int port;

		try {
			port = Integer.parseInt(args[0]);
		} catch (NumberFormatException e) {
			System.out.println("Could not parse port number!\n");
			System.out.println("Usage: java GameEnvironment <port>");
			return;
		}

		try {
			ServerSocket ss = new ServerSocket(port);
			System.out.println("ServerSocket created at port " + port + ".");

			// create sockets
			while (true) {
				try {
					Socket s = ss.accept();
					Thread thread = new Thread(new GameSession(s));
					thread.start();
				} catch (IOException e) {
					System.err.println("Could not create socket.");
				}
			}
		} catch (IOException e) {
			System.err
					.println("An error occured creating the ServerSocket, terminating.");
		}

	}
}
