/*
 * GameEnvironment application
 * BME MIT, IRF course
 * https://www.inf.mit.bme.hu/edu/bsc/irf
 */
package hu.mit.bme.ftsrg.gameEnvironment;

import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.Socket;

/**
 * Class that can be used in a thread for simple TCP/IP communication.
 * 
 * @author Istvan Szloboda
 */
public class SocketCommunication {

	public BufferedReader in;
	public DataOutputStream out;

	public SocketCommunication(Socket socket) throws IOException {
		in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
		out = new DataOutputStream(socket.getOutputStream());
	}

	public void write(String line) throws IOException {
		out.writeChars(line);
	}

	public void writeLine(String line) throws IOException {
		out.writeChars(line + "\n\r");
	}

	public void writeLine() throws IOException {
		out.writeChars("\n\r");
	}

	public String readLine() throws IOException {
		return in.readLine();
	}

}
